<?php

class BackUpData extends plxPlugin {
		
	public function __construct($default_lang) {

		# Appel du constructeur de la classe plxPlugin (obligatoire)
		parent::__construct($default_lang);
		
		
    	# Pour accéder à une page de configuration
   		$this->setConfigProfil(PROFIL_ADMIN,PROFIL_MANAGER);
		
		# Ajouts des hooks
		$this->addHook('AdminIndexTop', 'AdminIndexTop');
		$this->addHook('AdminTopEndHead', 'AdminTopEndHead');
		$this->addHook('AdminTopMenus', 'AdminTopMenus');
	}


	public function AdminIndexTop() {
		if(!class_exists('zip')) {
			require_once('class/class.zip.php');
		}
		if(!class_exists('PHPMailerLite')) {
			require_once('class/class.phpmailer-lite.php');
		}
		require_once('class/class.archive.php');
		
		$archive = new archive($this->getParam('savedir'),$this->getParam('days'),$this->getParam('saved_dirs'));
		if($archive->check()) {
			$archive->zip();
			$archive->sendmail(
				$this->getParam('email'),
				$this->getParam('senderemail'),
				$this->getParam('sendername'),
				$this->getLang('L_TITLE'),
				$this->getLang('L_CONTENT')
			);
			echo '<p class="msg">'.$this->getLang('L_SUCCESS').' '.$this->getParam('email').'</p>';
		}
		
	}

	public function AdminTopEndHead() { ?>
		<link rel="stylesheet" href="<?php echo PLX_PLUGINS ?>BackUpData/app/style.min.css">
	<?php	
	}	

}
?>